# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%define unstable 0

Name:		kdeartwork
Summary: 	Kdeartwork
Version: 	2.2.1
Release: 	1mdk

Source0: 	%name-%version.tar.bz2

License:  	GPL
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root

%if %buildfor7_2
BuildRequires:	gcc-c++
%endif

%if %buildfor8_0
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel
BuildRequires:	XFree86-libs Mesa-common XFree86-static-libs automake arts
BuildRequires:	autoconf diffutils kdelibs file m4 texinfo gettext
BuildRequires:	libjpeg62-devel kdelibs-devel gcc-c++ libbinutils2 libbzip2_1
BuildRequires:	db1 freetype2 libjpeg62 libmng1 libpng2 libqt2 libqt2-devel qt2-static-libraries
BuildRequires:	rpm-build libSDL1.2-devel libesound0-devel
%endif

%if %buildfor8_1
BuildRequires:	gcc-c++
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel
BuildRequires:  XFree86-libs Mesa-common XFree86-static-libs automake arts
BuildRequires:  autoconf diffutils kdelibs file m4 texinfo gettext
BuildRequires:  libjpeg62-devel kdelibs-devel gcc-c++ libbinutils2 libbzip2_1
BuildRequires:  freetype2 libjpeg62 libmng1 libpng2 libqt2 libqt2-devel
BuildRequires:  rpm-build 
%endif

Requires:	kdebase

%description
Additional artwork (themes, sound themes, icons,etc...) for KDE.


%package static-devel
Summary:	Static libraries for kdeartwork
Group:		Development/KDE and QT
PreReq:		%name = %version-%release

%description static-devel
Static libraries for kdeartwork


%prep

%setup  -q

%build
%if %unstable
make -f Makefile.cvs
%endif

if [ %buildfor = 7.2 ] || [ %buildfor = 8.0 ]; then
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --build=%_target_platform \
%if %unstable
                    --enable-debug \
%else
                    --disable-debug \
%endif
                    --enable-final \
		    --enable-shared \
		    --enable-static \
	            --disable-rpath
fi


if [ %buildfor = 8.1 ]; then
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
                    --build=%_target_platform \
%if %unstable
                    --enable-debug \
%else
                    --disable-debug \
%endif
                    --enable-final \
                    --enable-shared \
                    --enable-static \
                    --with-xinerama \
                    --disable-rpath
fi


%make

%install
rm -fr %buildroot

# Dadou - 2.2-0.beta1.1mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot


%clean
rm -fr %buildroot


%files
%defattr(-,root,root,-)
%_libdir/b3style.la
%_libdir/ksgistyle.la
%_libdir/kstephighcolor.la
#
#
%_libdir/b3style.so
%_libdir/ksgistyle.so
%_libdir/kstephighcolor.so
#
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/kstyle/
%dir %_datadir/apps/kstyle/themes/
%_datadir/apps/kstyle/themes/*.themerc
#
#
%dir %_datadir/apps/kwin/
%dir %_datadir/apps/kwin/icewm-themes/
%dir %_datadir/apps/kwin/icewm-themes/MenschMaschine/
%_datadir/apps/kwin/icewm-themes/MenschMaschine/*.theme
%_datadir/apps/kwin/icewm-themes/MenschMaschine/*.xpm
#
%dir %_datadir/apps/kwin/icewm-themes/Model/
%_datadir/apps/kwin/icewm-themes/Model/*.theme
%_datadir/apps/kwin/icewm-themes/Model/*.xpm
#
#
#
%dir %_datadir/sounds/
%_datadir/sounds/*.wav



%files static-devel
%defattr(-,root,root,-)
%_libdir/b3style.a
%_libdir/ksgistyle.a
%_libdir/kstephighcolor.a



%changelog
* Thu Sep 18 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Fri Sep 14 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-6mdk
- Add description

* Thu Sep 12 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-5mdk
- Fix group name

* Wed Sep 04 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-4mdk
- Add requires kdebase

* Fri Aug 31 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-3mdk
- Rebuild with new kdelibs

* Thu Aug 16 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-2mdk
- Fix generated menu

* Mon Aug 06 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2 

* Tue Aug 02 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-0.pre1.1mdk
- kde 2.2 pre 1

* Thu Jun 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1
- Clean spec
- Rewrite %%files sections

* Tue Jun 02 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-0.alpha2.1mdk
- kde2.2alpha2
